Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.config
Class FacesFlowBuilderServicesBeanDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
              org.springframework.faces.config.FacesFlowBuilderServicesBeanDefinitionParser

All Implemented Interfaces:
  org.springframework.beans.factory.xml.BeanDefinitionParser

    public class FacesFlowBuilderServicesBeanDefinitionParser

extends org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
implements org.springframework.beans.factory.xml.BeanDefinitionParser

Parser for the flow-builder-services tag.

Author:
  Jeremy Grelle, Christian Dupuis

Field Summary

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`FacesFlowBuilderServicesBeanDefinitionParser()`

Method Summary
`protected void` | `doParse(org.w3c.dom.Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder definitionBuilder)`
`protected java.lang.String` | `getBeanClassName(org.w3c.dom.Element element)`

Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
`doParse, getBeanClass, getParentName, parseInternal`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Constructor Detail

### FacesFlowBuilderServicesBeanDefinitionParser

    public FacesFlowBuilderServicesBeanDefinitionParser()

Method Detail

### getBeanClassName

    protected java.lang.String getBeanClassName(org.w3c.dom.Element element)

  Overrides:
    `getBeanClassName` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`

### doParse

    protected void doParse(org.w3c.dom.Element element,
                           org.springframework.beans.factory.xml.ParserContext parserContext,
                           org.springframework.beans.factory.support.BeanDefinitionBuilder definitionBuilder)

  Overrides:
    `doParse` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD